Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162441 - tetex package has dependencies on perl-Tk
Summary: tetex package has dependencies on perl-Tk
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tetex
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-04 19:21 UTC by Michal Jaegermann
Modified: 2018-08-28 15:59 UTC (History)
2 users (show)

Fixed In Version: 3.0-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-08 13:42:45 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2005-07-04 19:21:55 UTC
Description of problem:

In tetex there is /usr/bin/texdoctk.  That is nice with this catch that
it starts with:

use strict;
use Tk;
....

which is an obvious problem as there is no 'perl-Tk' in a base.
For FC4 at least currently 'perl-Tk' package is available in extras.

This is actually a useful program and I would rather not to loose it.
One possible way out could be to replace 'use Tk;' by an equivalent,
if there is no error, construct in a style

BEGIN {
  eval {require Tk;};
  die "This program requires perl-Tk. Try to look in fedora-extras.\n" if $@;
  import Tk;
}

This at least gives a useful information what to do.

Version-Release number of selected component (if applicable):
tetex-3.0-4

Comment 1 Jindrich Novy 2005-07-21 08:38:06 UTC
Applied, thanks.

Comment 2 Fedora Update System 2005-09-19 19:43:34 UTC
From User-Agent: XML-RPC

tetex-3.0-6.FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.